Package org.eclipse.birt.core.template

# Class ASTText

java.lang.Object
org.eclipse.birt.core.template.SimpleNode
org.eclipse.birt.core.template.ASTText

All Implemented Interfaces:
  `Node`

public class ASTText extends SimpleNode

## Field Summary

Fields
Modifier and Type
Field
Description
`protected StringBuffer`
`content`

### Fields inherited from class org.eclipse.birt.core.template.SimpleNode

`children, id, parent, parser`

## Constructor Summary

Constructors
Constructor
Description
`ASTText(int id)`
`ASTText(Parser p, int id)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendContent(String content)`
`String`
`getContent()`
`Object`
`jjtAccept(ParserVisitor visitor, Object data)`
Accept the visitor.

### Methods inherited from class org.eclipse.birt.core.template.SimpleNode

`childrenAccept, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### content

protected StringBuffer content

## Constructor Details

### ASTText

public ASTText(int id)

### ASTText

public ASTText(Parser p, int id)

## Method Details

### jjtAccept

public Object jjtAccept(ParserVisitor visitor, Object data)
Accept the visitor.

Specified by:
  `jjtAccept` in interface `Node`
Overrides:
  `jjtAccept` in class `SimpleNode`

### appendContent

public void appendContent(String content)

### getContent

public String getContent()